<section class="patient-form">
    <div class="card">
    <div class="card-header">
        Patient Form
    </div>
    <div class="card-body">
        <form [formGroup]="patientForm" (ngSubmit)="onSubmit()">
        <div class="form-group">
            <label for="firstName">First Name</label>
            <input type="text" class="form-control" id="firstName" formControlName="firstName">
            <div *ngIf="patientForm.get('firstName').invalid && (patientForm.get('firstName').dirty || patientForm.get('firstName').touched)">
            <div *ngIf="patientForm.get('firstName').errors['required']">
                First name is required.
            </div>
            <div *ngIf="patientForm.get('firstName').errors['minlength']">
                First name must be at least 2 characters long.
            </div>
            </div>
        </div>
        <div class="form-group">
            <label for="lastName">Last Name</label>
            <input type="text" class="form-control" id="lastName" formControlName="lastName">
            <div *ngIf="patientForm.get('lastName').invalid && (patientForm.get('lastName').dirty || patientForm.get('lastName').touched)">
            Last name is required.
            </div>
        </div>
        <div class="form-group">
            <label for="email">Email</label>
            <input type="email" class="form-control" id="email" formControlName="email">
            <div *ngIf="patientForm.get('email').invalid && (patientForm.get('email').dirty || patientForm.get('email').touched)">
            <div *ngIf="patientForm.get('email').errors['required']">
                Email is required.
            </div>
            <div *ngIf="patientForm.get('email').errors['email']">
                Invalid email format.
            </div>
            </div>
        </div>
        <div class="form-group">
            <label for="phone">Phone</label>
            <input type="text" class="form-control" id="phone" formControlName="phone">
            <div *ngIf="patientForm.get('phone').invalid && (patientForm.get('phone').dirty || patientForm.get('phone').touched)">
            Phone is required.
            </div>
        </div>
        <div class="form-group">
            <label for="dateOfBirth">Date of Birth</label>
            <input type="date" class="form-control" id="dateOfBirth" formControlName="dateOfBirth">
            <div *ngIf="patientForm.get('dateOfBirth').invalid && (patientForm.get('dateOfBirth').dirty || patientForm.get('dateOfBirth').touched)">
            <div *ngIf="patientForm.get('dateOfBirth').errors['required']">
                Date of birth is required.
            </div>
            <div *ngIf="patientForm.get('dateOfBirth').errors['futureDate']">
                Date of birth can not be in the future.
            </div>
            </div>
        </div><br>
        <button type="submit" class="btn btn-primary" [disabled]="patientForm.invalid">Submit</button>
        </form>
    </div>
    </div>
</section>
